Summary:       Fake the system date
Name:          datefudge
Version:       1.24
Release:       4%{?dist}
License:       GPLv2+
URL:           http://packages.qa.debian.org/d/datefudge.html
Source0:       http://cdn.debian.net/debian/pool/main/d/datefudge/%{name}_%{version}.tar.xz

BuildRequires: gcc make

%description
This program (and preload library) fakes the system date so that programs think the wall clock
is ... different. The faking is not complete; time-stamp on files are not affected in any way.
This package is useful if you want to test the date handling of your programs without changing
the system clock.

%prep
%autosetup -n %{name}-%{version} -p1
sed "s/VERSION := \$\(.*\)/VERSION := %{version}/g" -i Makefile

%build
LDFLAGS="%{__global_ldflags}" CFLAGS="%{optflags}" make libdir=%{_libexecdir} %{?_smp_mflags}

%install
%make_install libdir=%{_libexecdir}
chmod +x %{buildroot}/%{_libexecdir}/%{name}/datefudge.so

%files
%license COPYING
%doc README
%{_libexecdir}/%{name}
%{_bindir}/datefudge
%{_mandir}/man1/datefudge.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.24-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.24-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.24-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 31 2023 Shuo Wang <abushwang@tencent.com> - 1.24-1
- initial build

